> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List target-configured and platform-native tools available to target chat



## OpenAPI

````yaml /openapi/control-plane-public.json get /api/v1/workspaces/{workspaceId}/targets/{targetId}/tools
openapi: 3.1.0
info:
  title: AcornOps Control Plane API
  version: 0.0.1-experimental.1
  description: >-
    Control plane API for workspaces, targets, Kubernetes clusters, virtual
    machines, sessions, runs, auth, and internal execution wiring.
servers:
  - url: https://api.acornops.dev
security: []
tags:
  - name: health
    description: Health and readiness endpoints.
  - name: auth
    description: >-
      OIDC, password, browser session, and external integration account link
      endpoints.
  - name: workspaces
    description: Workspace, target, Kubernetes cluster, and VM management endpoints.
  - name: webhooks
    description: Best-effort webhook subscription and delivery history endpoints.
  - name: sessions
    description: Session and message endpoints.
  - name: runs
    description: Run query, cancel, and stream endpoints.
  - name: workflows
    description: >-
      Workspace workflow definitions, schedules, sessions, and approval inbox
      endpoints.
  - name: catalog
    description: >-
      MCP registries, destination-bound browsing, scoped MCP imports, and
      credential connections.
  - name: agents
    description: >-
      Workspace-scoped custom agent definitions, triggers, versions, tests, and
      activity.
  - name: admin
    description: Operator-only admin API protected exclusively by admin bearer tokens.
  - name: internal
    description: Internal execution endpoints for execution-engine.
paths:
  /api/v1/workspaces/{workspaceId}/targets/{targetId}/tools:
    get:
      tags:
        - workspaces
      summary: >-
        List target-configured and platform-native tools available to target
        chat
      parameters:
        - $ref: '#/components/parameters/PathWorkspaceId'
        - $ref: '#/components/parameters/PathTargetId'
      responses:
        '200':
          description: >-
            Target tool catalog, including platform-native tools scoped to
            target chat.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TargetToolCatalog'
        '400':
          $ref: '#/components/responses/Error400'
        '401':
          $ref: '#/components/responses/Error401'
        '403':
          $ref: '#/components/responses/Error403'
        '404':
          $ref: '#/components/responses/Error404'
        '409':
          $ref: '#/components/responses/Error409'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
      security:
        - userSession: []
components:
  parameters:
    PathWorkspaceId:
      in: path
      name: workspaceId
      required: true
      schema:
        type: string
        format: uuid
        example: 4b930d98-add9-4924-ab26-3c16d96ec373
    PathTargetId:
      in: path
      name: targetId
      required: true
      schema:
        type: string
        format: uuid
        example: 5b006e4c-509c-458a-9f02-5aafbdc01ade
  schemas:
    TargetToolCatalog:
      type: object
      properties:
        workspaceId:
          type: string
          format: uuid
        targetId:
          type: string
          format: uuid
        targetType:
          type: string
          enum:
            - kubernetes
            - virtual_machine
        permissions:
          type: object
          additionalProperties: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/TargetTool'
      additionalProperties: true
    TargetTool:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        description:
          type: string
        enabled:
          type: boolean
          default: true
        toggleable:
          type: boolean
          default: true
        origin:
          type: string
          enum:
            - target_setting
            - platform_native
        capability:
          type: string
          enum:
            - read
            - write
        runtimeKind:
          type: string
          enum:
            - provider_native
            - function
        visibility:
          type: object
          properties:
            appearsInAssistantToolList:
              type: boolean
            appearsInRunEnabledTools:
              type: boolean
            appearsInToolCalls:
              type: boolean
          additionalProperties: true
        permissions:
          type: object
          additionalProperties: true
        readiness:
          type: object
          additionalProperties: true
        config:
          type: object
          additionalProperties: true
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
              description: Optional structured error details.
  responses:
    Error400:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error401:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error403:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error404:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error409:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error429:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error500:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    userSession:
      type: apiKey
      in: cookie
      name: acornops_cp_session

````